Package org.snpeff.coverage

# Class MarkerTypes

java.lang.Object
org.snpeff.coverage.MarkerTypes

public class MarkerTypes extends Object
Create a list of marker types (names or labels for markers)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`MarkerTypes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addType(Marker marker, String type)`
`String`
`getSubType(Marker marker)`
Some markers have sub-types
`String`
`getType(Marker marker)`
Get marker type
`String`
`getTypeRank(Marker marker)`
Get marker + rank (in case of exon or intron)
`boolean`
`isType(Marker m, String mtype)`
`List<String>`
`markerTypesClass()`
List of markers whose types are based on class names

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkerTypes

public MarkerTypes()

## Method Details

### addType

public void addType(Marker marker, String type)

### getSubType

public String getSubType(Marker marker)
Some markers have sub-types

Parameters:
  `marker` -
Returns:

### getType

public String getType(Marker marker)
Get marker type

Parameters:
  `marker` -
Returns:

### getTypeRank

public String getTypeRank(Marker marker)
Get marker + rank (in case of exon or intron)

Parameters:
  `marker` -
Returns:

### isType

public boolean isType(Marker m, String mtype)

### markerTypesClass

public List<String> markerTypesClass()
List of markers whose types are based on class names

Returns: